-- @Nonnus 2025 V1
-- IgnoreDensityMapHeightTypes.lua
-- FS25 - Ignora o arquivo padrão maps_densityMapHeightTypes.xml

IgnoreDensityMapHeightTypes = {}

function IgnoreDensityMapHeightTypes:loadMapData(superFunc, xmlFilename, baseDirectory)
    local defaultPath = "data/maps/maps_densityMapHeightTypes.xml"

    -- Caminho real recebido pelo FS25
    local cleanXml = xmlFilename:lower()

    if cleanXml == defaultPath then
        print("### IGNORE: Arquivo padrão maps_densityMapHeightTypes.xml foi ignorado ###")
        return true -- retorna como sucesso sem carregar nada
    end

    -- caso contrário, carrega normalmente
    return superFunc(self, xmlFilename, baseDirectory)
end

-- aplica o hook no manager correto
DensityMapHeightManager.loadMapData =
    Utils.overwrittenFunction(DensityMapHeightManager.loadMapData, IgnoreDensityMapHeightTypes.loadMapData)

